Bug 1817394 - Added CD ROMs in UI other than Windows Guest Disk use VirtIO instead of sata
Summary: Added CD ROMs in UI other than Windows Guest Disk use VirtIO instead of sata
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.z
Assignee: Gilad Lekner
QA Contact: Radim Hrazdil
URL:
Whiteboard:
Depends On: 1813198
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-26 09:42 UTC by Tomas Jelinek
Modified: 2020-06-23 00:57 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: The default cdrom interface in vm wizard is "virtio" while the backend does not allow vm with virtio cdroms to be created. Consequence: If the user decides to attach a new CDRom in the wizard and leaves the interface on the default value, validation will not let this vm to be created. Consequently, the user always needs to change the interface to sata manually. Workaround (if any): If the user wants to add a cdrom from the wizard, he always needs to pick the interface to be sata instead of virtio. Result: With this workaround the vm successfully creates.
Clone Of: 1813198
Environment:
Last Closed: 2020-06-23 00:57:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 5496 None closed Bug 1817394: Windows CDs use VirtIO instead of sata 2020-07-23 15:47:23 UTC
Red Hat Product Errata RHBA-2020:2580 None None None 2020-06-23 00:57:42 UTC

Comment 1 Andrew Burden 2020-04-29 11:03:10 UTC
Release Note PR:
https://github.com/openshift/openshift-docs/pull/21680

Thanks for the draft text, Tomas!

Comment 3 Yaacov Zamir 2020-05-20 05:05:49 UTC
submitted upsream:
https://github.com/openshift/console/pull/5496

Comment 7 Guohua Ouyang 2020-06-17 12:24:26 UTC
tested on upstream 4.4 branch with commit ef3268ae549554e51b2a96b8a9771553e23901dd
the default interface of disk is "sata", the bug is fixed.

Comment 8 XiuJuan Wang 2020-06-18 06:23:59 UTC
@Guohua
Could you help to update the bug status?

Comment 10 errata-xmlrpc 2020-06-23 00:57:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2580


Note You need to log in before you can comment on or make changes to this bug.